#!/bin/bash
#************************************************************************************
# Licensed Materials - Property of IBM
# IBM Sterling Fulfillment Optimizer with Watson (5737-D18)
# (C) Copyright IBM Corp. 2024. All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication or disclosure restricted by 
# GSA ADP Schedule Contract with IBM Corp.
#************************************************************************************

#*********************************************************************
# Getting script directory regardless of where the script is run from.
#*********************************************************************
export INSTALL_DIR=$(dirname $0)

export JAR_FILE=${INSTALL_DIR}/lib/sip-cos-file-adapter-full.jar

echo "Running SIP COS File Adapter script..."

java -cp ${JAR_FILE} -Dlog4j2.configurationFile=${INSTALL_DIR}/log4j2.xml com.ibm.oms.sip.cos.COSTransferMain "$@"

status=$?
echo "STATUS CODE: $status"
exit $status
